/* General Styles */

body {
  font-family: font-family: 'Source Sans Pro', sans-serif;
  font-size: 20px;
  line-height: 1;
  background-color: white;
}

.row {
  margin-bottom: 10px;
  background-color: transparent;
  white-space: pre-wrap;
  align-content: center;
}

.container {
  padding: 0px;
}

/* Jumbotron and header */

.jumbotron {
  text-align: center;
  background-color: transparent;
  color: purple;
  border-radius: 0;
  height: 250px;
  font-family: 'Covered By Your Grace', cursive;
  background-color: #EDEDED;
  text-shadow: 1px 1px 2px black;
  margin: 0px;
}

.jumbotron h3 {
  font-family: 'Source Sans Pro', sans-serif;
  font-weight: bold;
  text-shadow: 1px 1px 2px white;
}

#display-date {
  text-align: center;
  font-size: 25px;
  border-radius: 15px;
  color: #e68e00;
  font-family: 'Courier New', Courier, monospace;
  font-weight: bold;
  text-shadow: 1px 1px 3px white;
}

/* Clear whole day row */

#clear-day-col {
  text-align: end;
}

#clear-day {
  border-radius: 20px 20px;
  background-color: purple;
  color: white;
  text-align: center;
  padding: 15px;
  text-shadow: 1px 1px 2px black;
}

/* Time Display Container */

.time {
  padding: 20px;
  text-align: center;
  background-color: transparent;
  border-top-left-radius: 15px;
  border-bottom-left-radius: 15px;
  color: white;
  text-shadow: 1px 1px 3px black;
}

#past {
  background-color: #858585;
  color: white;
}

#present {
  background-color: #A12568;
  color: white;
}

#future {
  background-color: #008080;
  color: white;
}

/* Description Container */

textarea {
  width: 100%;
  background-color: transparent;
  border: 0px;
  height: 100%;
  text-decoration: none;
  padding: 10px;
}

textarea::placeholder {
  color: rgb(71, 71, 71);
  opacity: 1;
  text-shadow: 1px 1px 1px white;
}

.input-container {
  background-color: #FEC260;
  padding: 0px;
  margin: 0px;
  text-align: start;
}

/* Save and Clear Container/Buttons */

#save-container {
  background-color: #3B185F;
  border-top-right-radius: 15px;
  border-bottom-right-radius: 15px;
  text-align: center;
  padding: 10px;
}

.save-button, .clear-button {
  border-radius: 20px 20px;
  background-color: white;
  width: 80px;
  color: black;
  text-align: center;
}

/* Footer */

footer {
  margin-top: 50px;
  text-align: center;
  color: black;
  padding: 20px;
  background-color: #EDEDED;
  font-size: 16px;
  font-weight: bold;
}

a {
  color: purple;
}

a:hover {
  color: black;
  text-decoration: none;
}

